﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0"
   xmlns:old="urn:iso:std:iso:20022:tech:xsd:pain.008.002.02" exclude-result-prefixes="old">

   <!-- replace CORE with COR1 -->
   <xsl:template match="old:LclInstrm/old:Cd[.='CORE']">
      <xsl:element name="Cd" namespace="urn:iso:std:iso:20022:tech:xsd:pain.008.003.02"><xsl:text>COR1</xsl:text></xsl:element>
   </xsl:template>
   
   <!-- Identity transform -->
   <xsl:template match="@* | node()">
      <xsl:copy>
         <xsl:apply-templates select="@* | node()"/>
      </xsl:copy>
   </xsl:template>

   <!-- replace namespace of elements in old namespace -->
   <xsl:template match="old:*">
      <xsl:element name="{local-name()}" namespace="urn:iso:std:iso:20022:tech:xsd:pain.008.003.02">
         <xsl:apply-templates select="@* | node()"/>
      </xsl:element>
   </xsl:template>

   <!-- replace xsi:schemaLocation attribute -->
   <xsl:template match="@xsi:schemaLocation">
      <xsl:attribute name="xsi:schemaLocation">urn:iso:std:iso:20022:tech:xsd:pain.008.003.02 pain.008.003.02.xsd</xsl:attribute>
   </xsl:template>
   
</xsl:stylesheet>